de.esprit.common.io

## Class LocalFileInfo

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.io.FileInfo
      - - de.esprit.common.io.LocalFileInfo

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    RemoteFileInfo

      public class LocalFileInfo
      extends FileInfo

  This class stores file information of a local file as well as the `File` object itself.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.common.io.FileInfo

      `absolutePath, dataType, fileType, isDirectory, isExisting, lastModified, length, relBasePath, rootDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalFileInfo(java.io.File file)`
    `LocalFileInfo(java.io.File file, FileDataType dataType)`
    `LocalFileInfo(java.io.File rootDir, java.lang.String basePath, java.lang.String fileName)`
    `LocalFileInfo(java.io.File rootDir, java.lang.String basePath, java.lang.String fileName, FileDataType dataType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canExecute()`
    `boolean` | `canRead()`
    `boolean` | `canWrite()`
    `java.io.File` | `getFile()`
    `java.lang.String[]` | `getFileEntries()`
    `java.io.File` | `getRootDir()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.io.FileInfo

      `equals, getAbsolutePath, getBasePath, getDataType, getFileName, getFileType, getLastModified, getLength, getRenderColor, getRenderIcon, getRenderText, isAscii, isBinary, isDirectory, isExisting, isFile`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalFileInfo

          public LocalFileInfo(java.io.File file)

    - #### LocalFileInfo

          public LocalFileInfo(java.io.File rootDir,
                       java.lang.String basePath,
                       java.lang.String fileName)

    - #### LocalFileInfo

          public LocalFileInfo(java.io.File rootDir,
                       java.lang.String basePath,
                       java.lang.String fileName,
                       FileDataType dataType)

    - #### LocalFileInfo

          public LocalFileInfo(java.io.File file,
                       FileDataType dataType)

  - ### Method Detail

    - #### getRootDir

          public java.io.File getRootDir()

    - #### getFile

          public java.io.File getFile()

    - #### canRead

          public boolean canRead()

    - #### canWrite

          public boolean canWrite()

    - #### canExecute

          public boolean canExecute()

    - #### getFileEntries

          public java.lang.String[] getFileEntries()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `FileInfo`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `FileInfo`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.